# -*- encoding: utf-8 -*-
# stub: celluloid-io 0.16.2 ruby lib

Gem::Specification.new do |s|
  s.name = "celluloid-io"
  s.version = "0.16.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["Tony Arcieri"]
  s.date = "2016-05-03"
  s.description = "Evented IO for Celluloid actors"
  s.email = ["tony.arcieri@gmail.com"]
  s.files = [".coveralls.yml", ".gitignore", ".rspec", ".travis.yml", "CHANGES.md", "Gemfile", "Guardfile", "LICENSE.txt", "README.md", "Rakefile", "benchmarks/actor.rb", "celluloid-io.gemspec", "examples/echo_client.rb", "examples/echo_server.rb", "examples/echo_unix_client.rb", "examples/echo_unix_server.rb", "lib/celluloid/io.rb", "lib/celluloid/io/dns_resolver.rb", "lib/celluloid/io/mailbox.rb", "lib/celluloid/io/reactor.rb", "lib/celluloid/io/ssl_server.rb", "lib/celluloid/io/ssl_socket.rb", "lib/celluloid/io/stream.rb", "lib/celluloid/io/tcp_server.rb", "lib/celluloid/io/tcp_socket.rb", "lib/celluloid/io/udp_socket.rb", "lib/celluloid/io/unix_server.rb", "lib/celluloid/io/unix_socket.rb", "lib/celluloid/io/version.rb", "log/.gitignore", "logo.png", "spec/celluloid/io/actor_spec.rb", "spec/celluloid/io/dns_resolver_spec.rb", "spec/celluloid/io/mailbox_spec.rb", "spec/celluloid/io/reactor_spec.rb", "spec/celluloid/io/ssl_server_spec.rb", "spec/celluloid/io/ssl_socket_spec.rb", "spec/celluloid/io/tcp_server_spec.rb", "spec/celluloid/io/tcp_socket_spec.rb", "spec/celluloid/io/udp_socket_spec.rb", "spec/celluloid/io/unix_server_spec.rb", "spec/celluloid/io/unix_socket_spec.rb", "spec/celluloid/io_spec.rb", "spec/fixtures/client.crt", "spec/fixtures/client.key", "spec/fixtures/server.crt", "spec/fixtures/server.key", "spec/spec_helper.rb", "tasks/benchmarks.task", "tasks/rspec.task"]
  s.homepage = "http://github.com/celluloid/celluloid-io"
  s.licenses = ["MIT"]
  s.rubygems_version = "2.5.1"
  s.summary = "Celluloid::IO allows you to monitor multiple IO objects within a Celluloid actor"
  s.test_files = ["spec/celluloid/io/actor_spec.rb", "spec/celluloid/io/dns_resolver_spec.rb", "spec/celluloid/io/mailbox_spec.rb", "spec/celluloid/io/reactor_spec.rb", "spec/celluloid/io/ssl_server_spec.rb", "spec/celluloid/io/ssl_socket_spec.rb", "spec/celluloid/io/tcp_server_spec.rb", "spec/celluloid/io/tcp_socket_spec.rb", "spec/celluloid/io/udp_socket_spec.rb", "spec/celluloid/io/unix_server_spec.rb", "spec/celluloid/io/unix_socket_spec.rb", "spec/celluloid/io_spec.rb", "spec/fixtures/client.crt", "spec/fixtures/client.key", "spec/fixtures/server.crt", "spec/fixtures/server.key", "spec/spec_helper.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<celluloid>, [">= 0.16.0"])
      s.add_runtime_dependency(%q<nio4r>, [">= 1.1.0"])
      s.add_development_dependency(%q<rake>, [">= 0"])
      s.add_development_dependency(%q<rspec>, ["~> 2.14.0"])
      s.add_development_dependency(%q<benchmark_suite>, [">= 0"])
      s.add_development_dependency(%q<guard-rspec>, [">= 0"])
      s.add_development_dependency(%q<rb-fsevent>, ["~> 0.9.1"])
    else
      s.add_dependency(%q<celluloid>, [">= 0.16.0"])
      s.add_dependency(%q<nio4r>, [">= 1.1.0"])
      s.add_dependency(%q<rake>, [">= 0"])
      s.add_dependency(%q<rspec>, ["~> 2.14.0"])
      s.add_dependency(%q<benchmark_suite>, [">= 0"])
      s.add_dependency(%q<guard-rspec>, [">= 0"])
      s.add_dependency(%q<rb-fsevent>, ["~> 0.9.1"])
    end
  else
    s.add_dependency(%q<celluloid>, [">= 0.16.0"])
    s.add_dependency(%q<nio4r>, [">= 1.1.0"])
    s.add_dependency(%q<rake>, [">= 0"])
    s.add_dependency(%q<rspec>, ["~> 2.14.0"])
    s.add_dependency(%q<benchmark_suite>, [">= 0"])
    s.add_dependency(%q<guard-rspec>, [">= 0"])
    s.add_dependency(%q<rb-fsevent>, ["~> 0.9.1"])
  end
end
